# 수학 함수

{% hint style="info" %}
PantherFlow는 Panther 버전 1.110부터 공개 베타로 제공되며, 모든 고객이 이용할 수 있습니다. 버그 보고 및 기능 요청은 Panther 지원 팀에 공유해 주세요.
{% endhint %}

## `math.abs()`

`math.abs(value: number) -> number`

숫자 표현식의 절대값을 반환합니다.

**예시:**

```kusto
panther_logs.public.aws_alb
| project net_bytes=math.abs(reveivedBytes-sentBytes)
```

## `math.ceil()`

`math.ceil(value: number [, precision: int]) -> number`

값을 `값` 지정된 `정밀도` 자릿수로 올림합니다.

**예시:**

```kusto
panther_logs.public.aws_alb
| summarize avg=agg.avg(receivedBytes) by ip_address
| project avg=math.ceil(avg, 2)
```

## `math.floor()`

`math.floor(value: number [, precision: int]) -> number`

값을 `값` 지정된 `정밀도` 자릿수로 올림합니다.

**예시:**

```kusto
panther_logs.public.aws_alb
| summarize avg=agg.avg(receivedBytes) by ip_address
| project avg=math.floor(avg, 2)
```

## `math.round()`

`math.round(value: number [, precision: int]) -> float`

지정된 정밀도로 반올림한 값을 반환합니다.

**예시:**

```kusto
panther_logs.public.aws_alb
| summarize avg=agg.avg(receivedBytes) by ip_address
| project avg=math.round(avg, 2)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.panther.com/ko/pantherflow/functions/math.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
